All Resources All filters

# DebugFilter

The debug filter is usefull for debugging specific resources of the server. It will print out the incomming request before the target resource process it, and print out the reply the target resource has generated.

## Inherits

The DebugFilter class inherits from the following classes:

- ResourceFilter

## Attributes description

The DebugFilter defines the following attribute:

- onoff

`onoff`

semantics
  Turn debugging on or off. The filter will only emit traces when this flag is set ot true.
type
  This attribute is a editale BooleanAttribute.
default value
  This attribute defaults to true.

Jigsaw Team
$Id: w3c.jigsaw.filters.DebugFilter.html,v 1.1 1996/04/23 19:12:35 abaird Exp $